Bug 1248757 - The Manage repositories dialog does not expand correctly
The Manage repositories dialog does not expand correctly
Status: VERIFIED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager (Show other bugs)
7.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: John Sefler
John Sefler
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-30 14:33 EDT by Sean Toner
Modified: 2017-01-09 05:30 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
shows repositories dialog (466.62 KB, image/png)
2015-07-30 14:33 EDT, Sean Toner
no flags Details
Manage Repositories dialog after manually re-sizing (42.67 KB, image/png)
2015-09-28 12:52 EDT, John Sefler
no flags Details

  None (edit)
Description Sean Toner 2015-07-30 14:33:44 EDT
Created attachment 1057808 [details]
shows repositories dialog

Description of problem:
=======================

If you try to expand the Repositories dialog vertically, the Repository details pane does not expand or at least anchor itself to the buttons.  It just stays in the middle.  Either it should anchor itself to the bottom of the top scroll pane, or anchor to the buttons (or maybe grow in size with the entire dialog frame)


Version-Release number of selected component (if applicable):
=============================================================

subscription-manager-gui-1.15.6-1.el7.x86_64

How reproducible:
=================

Always


Steps to Reproduce:
===================

1. Go to System->Repositories
2. In the new dialog, expand vertically

Actual results:
===============

See screenshot

Expected results:
=================

I think the Repository Details widget should anchor itself to some other widget or perhaps grow in size along with the entire dialog frame.  Being stuck in the middle and staying the same size doesn't seem right.

Additional info:
Comment 2 John Sefler 2015-09-25 12:28:21 EDT
Please retest.  I suspect other gui improvement work may already have fixed this.
Comment 3 John Sefler 2015-09-28 12:52 EDT
Created attachment 1078006 [details]
Manage Repositories dialog after manually re-sizing

Verifying Version...
[root@jsefler-7 ~]# rpm -q subscription-manager-gui
subscription-manager-gui-1.15.9-11.el7.x86_64

VERIFIED: After re-sizing the Manage Repositories dialog (vertically and horizontally), the widgets on the screen stretch to fill the available space as expected.

Note You need to log in before you can comment on or make changes to this bug.